ur_rna.RNAstructureUI.utilities

## Class FileFilters

- java.lang.Object
- - ur_rna.RNAstructureUI.utilities.FileFilters

-     public class FileFilters
      extends java.lang.Object

  A list of constants for common file extensions. Note that most file-specs end with a bar character. This is meant to allow easy concatenation of filters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `Alignment`
    `static java.lang.String` | `Bracket`
    `static java.lang.String` | `Constraints`
    `static java.lang.String` | `CT`
    `static java.lang.String` | `DotPlot`
    `static java.lang.String` | `DynalignSav`
    `static java.lang.String` | `FoldingSav`
    `static java.lang.String` | `Helix`
    `static java.lang.String` | `List`
    `static java.lang.String` | `MultiSequence`
    `static java.lang.String` | `OUT`
    `static java.lang.String` | `PartitionSav`
    `static java.lang.String` | `Postscript`
    `static java.lang.String` | `Report`
    `static java.lang.String` | `Sequence`
    `static java.lang.String` | `SequenceExtended` Select a sequence file in its extended context, with more than its usual possible file types.
    `static java.lang.String` | `SHAPE` Select a SHAPE file.
    `static java.lang.String` | `SVG` Select an SVG file.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FileFilters()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Alignment

          public static java.lang.String Alignment

    - #### Bracket

          public static java.lang.String Bracket

    - #### Constraints

          public static java.lang.String Constraints

    - #### CT

          public static java.lang.String CT

    - #### DotPlot

          public static java.lang.String DotPlot

    - #### DynalignSav

          public static java.lang.String DynalignSav

    - #### FoldingSav

          public static java.lang.String FoldingSav

    - #### Helix

          public static java.lang.String Helix

    - #### List

          public static java.lang.String List

    - #### MultiSequence

          public static java.lang.String MultiSequence

    - #### OUT

          public static java.lang.String OUT

    - #### PartitionSav

          public static java.lang.String PartitionSav

    - #### Postscript

          public static java.lang.String Postscript

    - #### Report

          public static java.lang.String Report

    - #### Sequence

          public static java.lang.String Sequence

    - #### SequenceExtended

          public static java.lang.String SequenceExtended

      Select a sequence file in its extended context, with more than its usual possible file types.

    - #### SHAPE

          public static java.lang.String SHAPE

      Select a SHAPE file.

    - #### SVG

          public static java.lang.String SVG

      Select an SVG file.

  - ### Constructor Detail

    - #### FileFilters

          private FileFilters()